#ifndef HISTOGRAMDIALOG_H
#define HISTOGRAMDIALOG_H

#include <QtGui/QDialog>
#include "ui_histogramdialog.h"
#include "g12buffer.h"

class HistogramDialog : public QDialog
{
    Q_OBJECT

public slots:
    void notifyBufferChangeSlot(G12Buffer *buf);

signals:
    void notifyBufferChange(G12Buffer *buf);



public:
    HistogramDialog(QWidget *parent = 0);
    ~HistogramDialog();

private:
    Ui::HistogramDialogClass ui;
};

#endif // HISTOGRAMDIALOG_H
